PUT /katello/api/host_collections/992660475
{
"organization_id": 114267492,
"max_hosts": 2,
"unlimited_hosts": false,
"host_ids": [
980191134,
298486374
],
"host_collection": {
"max_hosts": 2,
"organization_id": 114267492,
"unlimited_hosts": false,
"host_ids": [
980191134,
298486374
]
}
}
200
{
"host_ids": [
980191134,
298486374
],
"name": "Simple Host Collection",
"organization_id": 114267492,
"max_hosts": 2,
"description": "The simplest of host collections.",
"total_hosts": 2,
"unlimited_hosts": false,
"created_at": "2026-11-03 08:05:52 UTC",
"updated_at": "2026-11-03 08:08:31 UTC",
"id": 992660475,
"permissions": {
"deletable": true,
"editable": true
}
}
| Param name | Description |
|---|---|
|
id
required |
Id of the host collection Validations:
|
|
name
optional |
Host Collection name Validations:
|
|
description
optional |
Validations:
|
|
host_ids
optional |
List of host ids to replace the hosts in host collection Validations:
|
|
max_hosts
optional |
Maximum number of hosts in the host collection Validations:
|
|
unlimited_hosts
optional |
Whether or not the host collection may have unlimited hosts Validations:
|